summaryrefslogtreecommitdiffstats
path: root/.github
diff options
context:
space:
mode:
authorKonstantin Shalygin <k0ste@k0ste.ru>2023-08-18 16:40:29 +0300
committerGitHub <noreply@github.com>2023-08-18 09:40:29 -0400
commit6c50aefb74178495f30035099784ae7ea725af0e (patch)
tree1b6197ec0c351f20d74132a90c3c67602ebce2e8 /.github
parent114b87d1b4fec5607a122bfef82f2362f8b484fa (diff)
Added CentOS-Stream to distros (#15742)
* Added CentOS-Stream to distros Containers added https://github.com/netdata/helper-images/pull/219 * Update .github/scripts/pkg-test.sh Co-authored-by: Ilya Mashchenko <ilya@netdata.cloud> * pkg-test.sh: disable shellcheck for bad shell function --------- Co-authored-by: Ilya Mashchenko <ilya@netdata.cloud>
Diffstat (limited to '.github')
-rw-r--r--.github/data/distros.yml25
-rwxr-xr-x.github/scripts/ci-support-pkgs.sh3
-rwxr-xr-x.github/scripts/pkg-test.sh20
3 files changed, 37 insertions, 11 deletions
diff --git a/.github/data/distros.yml b/.github/data/distros.yml
index cdd0faf06f..aa89ebe74f 100644
--- a/.github/data/distros.yml
+++ b/.github/data/distros.yml
@@ -108,7 +108,6 @@ include:
<<: *amzn_packages
repo_distro: amazonlinux/2023
-
- distro: centos
version: "7"
support_type: Core
@@ -125,6 +124,30 @@ include:
test:
ebpf-core: false
+ - &centos_stream
+ distro: centos-stream
+ base_image: 'quay.io/centos/centos:stream9'
+ version: '9'
+ support_type: 'Community'
+ notes: ''
+ jsonc_removal: |
+ dnf remove -y json-c-devel
+ eol_check: true
+ packages: &cs_packages
+ type: rpm
+ repo_distro: el/c9s
+ arches:
+ - x86_64
+ - aarch64
+ test:
+ ebpf-core: true
+ - <<: *centos_stream
+ version: '8'
+ base_image: 'quay.io/centos/centos:stream8'
+ packages:
+ <<: *cs_packages
+ repo_distro: el/c8s
+
- &debian
distro: debian
version: "12"
diff --git a/.github/scripts/ci-support-pkgs.sh b/.github/scripts/ci-support-pkgs.sh
index 9ba11b68ee..5cedbf3b9e 100755
--- a/.github/scripts/ci-support-pkgs.sh
+++ b/.github/scripts/ci-support-pkgs.sh
@@ -9,7 +9,8 @@ set -e
case "${ID}" in
amzn|almalinux|centos|fedora)
- dnf install -y procps-ng cronie cronie-anacron || yum install -y procps-ng cronie cronie-anacron
+ dnf install -y procps-ng cronie cronie-anacron || \
+ yum install -y procps-ng cronie cronie-anacron
;;
arch)
pacman -S --noconfirm cronie
diff --git a/.github/scripts/pkg-test.sh b/.github/scripts/pkg-test.sh
index 85e8b2e8d2..35767bf2ef 100755
--- a/.github/scripts/pkg-test.sh
+++ b/.github/scripts/pkg-test.sh
@@ -14,7 +14,9 @@ install_debian_like() {
# Install Netdata
# Strange quoting is required here so that glob matching works.
- apt-get install -y $(find /netdata/artifacts -type f -name 'netdata*.deb' ! -name '*dbgsym*' ! -name '*cups*' ! -name '*freeipmi*') || exit 3
+ # shellcheck disable=SC2046
+ apt-get install -y $(find /netdata/artifacts -type f -name 'netdata*.deb' \
+! -name '*dbgsym*' ! -name '*cups*' ! -name '*freeipmi*') || exit 3
# Install testing tools
apt-get install -y --no-install-recommends curl "${netcat}" jq || exit 1
@@ -32,10 +34,10 @@ install_fedora_like() {
# Install Netdata
# Strange quoting is required here so that glob matching works.
- "$PKGMGR" install -y /netdata/artifacts/netdata*.rpm || exit 1
+ "${PKGMGR}" install -y /netdata/artifacts/netdata*.rpm || exit 1
# Install testing tools
- "$PKGMGR" install -y curl nc jq || exit 1
+ "${PKGMGR}" install -y curl nc jq || exit 1
}
install_centos() {
@@ -49,15 +51,15 @@ install_centos() {
fi
# Install EPEL (needed for `jq`
- "$PKGMGR" install -y epel-release || exit 1
+ "${PKGMGR}" install -y epel-release || exit 1
# Install Netdata
# Strange quoting is required here so that glob matching works.
- "$PKGMGR" install -y /netdata/artifacts/netdata*.rpm || exit 1
+ "${PKGMGR}" install -y /netdata/artifacts/netdata*.rpm || exit 1
# Install testing tools
# shellcheck disable=SC2086
- "$PKGMGR" install -y ${opts} curl nc jq || exit 1
+ "${PKGMGR}" install -y ${opts} curl nc jq || exit 1
}
install_amazon_linux() {
@@ -69,11 +71,11 @@ install_amazon_linux() {
# Install Netdata
# Strange quoting is required here so that glob matching works.
- "$PKGMGR" install -y /netdata/artifacts/netdata*.rpm || exit 1
+ "${PKGMGR}" install -y /netdata/artifacts/netdata*.rpm || exit 1
# Install testing tools
# shellcheck disable=SC2086
- "$PKGMGR" install -y ${opts} curl nc jq || exit 1
+ "${PKGMGR}" install -y ${opts} curl nc jq || exit 1
}
install_suse_like() {
@@ -130,7 +132,7 @@ case "${DISTRO}" in
fedora | oraclelinux)
install_fedora_like
;;
- centos | rockylinux | almalinux)
+ centos| centos-stream | rockylinux | almalinux)
install_centos
;;
amazonlinux)